Bug 10443 - Table borrower_files does not exists in kohastructure.sql file
Summary: Table borrower_files does not exists in kohastructure.sql file
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Juan Romay Sieira
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 8130
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 09:36 UTC by Juan Romay Sieira
Modified: 2014-12-07 20:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Patch to modify kohastructure.sql file (1.35 KB, patch)
2013-06-11 09:42 UTC, Juan Romay Sieira
Details | Diff | Splinter Review
Bug 10443 - Table borrower_files does not exists in kohastructure.sql file (1.36 KB, patch)
2013-06-14 11:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10443 - Table borrower_files does not exists in kohastructure.sql file (1.40 KB, patch)
2013-06-14 12:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Romay Sieira 2013-06-11 09:36:19 UTC
Table borrower_files does not exists in kohastructure.sql file. After the install process this table will not be created.
Comment 1 Juan Romay Sieira 2013-06-11 09:42:36 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-06-14 11:57:41 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-06-14 12:32:29 UTC
QA comment:
The kohastructure.sql file does not produce any error and now creates the missing borrower_files table.
Marked as Passed QA.
Comment 4 Jonathan Druart 2013-06-14 12:32:49 UTC
Created attachment 19001 [details] [review]
Bug 10443 - Table borrower_files does not exists in kohastructure.sql file

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Galen Charlton 2013-06-14 14:55:31 UTC
Pushed to master, along with a follow-up to add the FK contraint on borrowernumber and a DBrev to ensure that the table will get created for Koha databases that were originally installed on 3.10.0 or later.

Thanks, Juan!
Comment 6 Juan Romay Sieira 2013-06-14 15:41:57 UTC
You're welcome!
Comment 7 Tomás Cohen Arazi 2013-06-28 15:15:56 UTC
This patch has been pushed to 3.12.x, will be in 3.12.2.

Thanks Juan!
Comment 8 Bernardo Gonzalez Kriegel 2013-07-13 14:08:40 UTC
Pushed to 3.10.x, will be in 3.10.8